import { createReadStream } from 'fs';
import { createHash, Hash } from 'crypto';

export function hash (path : string) : Promise<string> {
	return new Promise((resolve : Function, reject : Function) => {
		const hashSum : Hash = createHash('sha256');
		const stream : any = createReadStream(path);
		stream.on('error', (err : Error) => reject(err));
		stream.on('data', (chunk : Buffer) => hashSum.update(chunk));
		stream.on('end', () => resolve(hashSum.digest('hex')));
	});
}

module.exports = { hash };